<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/ncp/ncp_spi.hpp Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d7/df2/ncp__spi_8hpp_source.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">ncp_spi.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d7/df2/ncp__spi_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *    Copyright (c) 2016, The OpenThread Authors.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *    All rights reserved.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *    Redistribution and use in source and binary forms, with or without</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *    modification, are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *    1. Redistributions of source code must retain the above copyright</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *       notice, this list of conditions and the following disclaimer.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *    2. Redistributions in binary form must reproduce the above copyright</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *       notice, this list of conditions and the following disclaimer in the</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *       documentation and/or other materials provided with the distribution.</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *    3. Neither the name of the copyright holder nor the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *       names of its contributors may be used to endorse or promote products</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *       derived from this software without specific prior written permission.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *    ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *    DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#ifndef NCP_SPI_HPP_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#define NCP_SPI_HPP_</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../df/d54/ncp__base_8hpp.html">ncp/ncp_base.hpp</a>&gt;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="../../d6/d92/ncp__buffer_8hpp.html">ncp/ncp_buffer.hpp</a>&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">namespace </span><a class="code" href="../../d9/d00/namespaceThread.html">Thread</a> {</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="../../d0/d2a/classThread_1_1NcpSpi.html">   41</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d0/d2a/classThread_1_1NcpSpi.html">NcpSpi</a> : <span class="keyword">public</span> <a class="code" href="../../d9/dc8/classThread_1_1NcpBase.html">NcpBase</a></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;{</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keyword">typedef</span> <a class="code" href="../../d9/dc8/classThread_1_1NcpBase.html">NcpBase</a> <a class="code" href="../../d9/dc8/classThread_1_1NcpBase.html">super_t</a>;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <a class="code" href="../../d0/d2a/classThread_1_1NcpSpi.html#a755449adff7ec14f4985ac462c7914bd">NcpSpi</a>(<a class="code" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance);</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d0/d2a/classThread_1_1NcpSpi.html#a114f7f0fc7acef21a0c20c6b3910babb">OutboundFrameBegin</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d0/d2a/classThread_1_1NcpSpi.html#a636c968d8cce6cbf116c1bf22fb72ecd">OutboundFrameFeedData</a>(<span class="keyword">const</span> uint8_t *frame, uint16_t frameLength);</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d0/d2a/classThread_1_1NcpSpi.html#a9614ae49bf12256c3b0086c55a877142">OutboundFrameFeedMessage</a>(<a class="code" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;message);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> <a class="code" href="../../d0/d2a/classThread_1_1NcpSpi.html#ae9c67ca2e9b95ac4a4fa5650d44a2eed">OutboundFrameEnd</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordtype">void</span> ReceiveTask(<span class="keyword">const</span> uint8_t *aBuf, uint16_t aBufLength);</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keyword">enum</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    {</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        kSpiBufferSize   = 1500, <span class="comment">// Spi buffer size (should be large enough to fit a max length frame + spi header).</span></div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        kTxBufferSize    = 512,  <span class="comment">// Tx Buffer size (used by mTxFrameBuffer).</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        kSpiHeaderLength = 5,    <span class="comment">// Size of spi header.</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    };</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    uint16_t OutboundFrameSize(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> SpiTransactionComplete(</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="keywordtype">void</span> *context,</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        uint8_t *anOutputBuf,</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        uint16_t anOutputBufLen,</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        uint8_t *anInputBuf,</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        uint16_t anInputBufLen,</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        uint16_t aTransactionLength</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    );</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keywordtype">void</span> SpiTransactionComplete(</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        uint8_t *anOutputBuf,</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        uint16_t anOutputBufLen,</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        uint8_t *anInputBuf,</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        uint16_t anInputBufLen,</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        uint16_t aTransactionLength</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    );</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> HandleRxFrame(<span class="keywordtype">void</span> *context);</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <span class="keywordtype">void</span> HandleRxFrame(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> PrepareTxFrame(<span class="keywordtype">void</span> *context);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordtype">void</span> PrepareTxFrame(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> TxFrameBufferHasData(<span class="keywordtype">void</span> *aContext, <a class="code" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html">NcpFrameBuffer</a> *aNcpFrameBuffer);</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordtype">void</span> TxFrameBufferHasData(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <a class="code" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> PrepareNextSpiSendFrame(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keywordtype">bool</span> mSending;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keywordtype">bool</span> mHandlingRxFrame;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordtype">bool</span> mHandlingSendDone;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <a class="code" href="../../d4/d92/classThread_1_1Tasklet.html">Tasklet</a> mHandleRxFrameTask;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <a class="code" href="../../d4/d92/classThread_1_1Tasklet.html">Tasklet</a> mPrepareTxFrameTask;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    uint8_t mSendFrame[kSpiBufferSize];</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    uint16_t mSendFrameLen;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    uint8_t mReceiveFrame[kSpiBufferSize];</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    uint8_t mEmptySendFrame[kSpiHeaderLength];</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    uint8_t mEmptyReceiveFrame[kSpiHeaderLength];</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    uint8_t mTxBuffer[kTxBufferSize];</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <a class="code" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html">NcpFrameBuffer</a>  mTxFrameBuffer;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;};</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;}  <span class="comment">// namespace Thread</span></div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="preprocessor">#endif  // NCP_SPI_HPP_</span></div><div class="ttc" id="structotInstance_html"><div class="ttname"><a href="../../d2/d83/structotInstance.html">otInstance</a></div><div class="ttdoc">This type represents all the static / global variables used by OpenThread allocated in one place...</div><div class="ttdef"><b>Definition:</b> openthread-instance.h:50</div></div>
<div class="ttc" id="classThread_1_1NcpSpi_html"><div class="ttname"><a href="../../d0/d2a/classThread_1_1NcpSpi.html">Thread::NcpSpi</a></div><div class="ttdef"><b>Definition:</b> ncp_spi.hpp:41</div></div>
<div class="ttc" id="classThread_1_1Tasklet_html"><div class="ttname"><a href="../../d4/d92/classThread_1_1Tasklet.html">Thread::Tasklet</a></div><div class="ttdoc">This class is used to represent a tasklet. </div><div class="ttdef"><b>Definition:</b> tasklet.hpp:59</div></div>
<div class="ttc" id="ncp__buffer_8hpp_html"><div class="ttname"><a href="../../d6/d92/ncp__buffer_8hpp.html">ncp_buffer.hpp</a></div><div class="ttdoc">This file contains definitions for the NCP frame buffer class. </div></div>
<div class="ttc" id="classThread_1_1Message_html"><div class="ttname"><a href="../../dc/d3c/classThread_1_1Message.html">Thread::Message</a></div><div class="ttdoc">This class represents a message. </div><div class="ttdef"><b>Definition:</b> message.hpp:213</div></div>
<div class="ttc" id="classThread_1_1NcpBase_html"><div class="ttname"><a href="../../d9/dc8/classThread_1_1NcpBase.html">Thread::NcpBase</a></div><div class="ttdef"><b>Definition:</b> ncp_base.hpp:50</div></div>
<div class="ttc" id="ncp__base_8hpp_html"><div class="ttname"><a href="../../df/d54/ncp__base_8hpp.html">ncp_base.hpp</a></div><div class="ttdoc">This file contains definitions a spinel interface to the OpenThread stack. </div></div>
<div class="ttc" id="openthread-types_8h_html_ab701d053a9c34ab7f11e43e0dc09ac9f"><div class="ttname"><a href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a></div><div class="ttdeci">ThreadError</div><div class="ttdoc">This enumeration represents error codes used throughout OpenThread. </div><div class="ttdef"><b>Definition:</b> openthread-types.h:75</div></div>
<div class="ttc" id="classThread_1_1NcpSpi_html_a9614ae49bf12256c3b0086c55a877142"><div class="ttname"><a href="../../d0/d2a/classThread_1_1NcpSpi.html#a9614ae49bf12256c3b0086c55a877142">Thread::NcpSpi::OutboundFrameFeedMessage</a></div><div class="ttdeci">virtual ThreadError OutboundFrameFeedMessage(Message &amp;message)</div><div class="ttdoc">This method adds a message to the current outbound frame being written. </div><div class="ttdef"><b>Definition:</b> ncp_spi.cpp:247</div></div>
<div class="ttc" id="classThread_1_1NcpSpi_html_ae9c67ca2e9b95ac4a4fa5650d44a2eed"><div class="ttname"><a href="../../d0/d2a/classThread_1_1NcpSpi.html#ae9c67ca2e9b95ac4a4fa5650d44a2eed">Thread::NcpSpi::OutboundFrameEnd</a></div><div class="ttdeci">virtual ThreadError OutboundFrameEnd(void)</div><div class="ttdoc">This method finalizes and sends the current outbound frame. </div><div class="ttdef"><b>Definition:</b> ncp_spi.cpp:252</div></div>
<div class="ttc" id="classThread_1_1NcpFrameBuffer_html"><div class="ttname"><a href="../../d0/d78/classThread_1_1NcpFrameBuffer.html">Thread::NcpFrameBuffer</a></div><div class="ttdef"><b>Definition:</b> ncp_buffer.hpp:41</div></div>
<div class="ttc" id="classThread_1_1NcpSpi_html_a114f7f0fc7acef21a0c20c6b3910babb"><div class="ttname"><a href="../../d0/d2a/classThread_1_1NcpSpi.html#a114f7f0fc7acef21a0c20c6b3910babb">Thread::NcpSpi::OutboundFrameBegin</a></div><div class="ttdeci">virtual ThreadError OutboundFrameBegin(void)</div><div class="ttdoc">This method is called to start a new outbound frame. </div><div class="ttdef"><b>Definition:</b> ncp_spi.cpp:237</div></div>
<div class="ttc" id="classThread_1_1NcpSpi_html_a636c968d8cce6cbf116c1bf22fb72ecd"><div class="ttname"><a href="../../d0/d2a/classThread_1_1NcpSpi.html#a636c968d8cce6cbf116c1bf22fb72ecd">Thread::NcpSpi::OutboundFrameFeedData</a></div><div class="ttdeci">virtual ThreadError OutboundFrameFeedData(const uint8_t *frame, uint16_t frameLength)</div><div class="ttdoc">This method adds data to the current outbound frame being written. </div><div class="ttdef"><b>Definition:</b> ncp_spi.cpp:242</div></div>
<div class="ttc" id="namespaceThread_html"><div class="ttname"><a href="../../d9/d00/namespaceThread.html">Thread</a></div><div class="ttdef"><b>Definition:</b> cli.cpp:61</div></div>
<div class="ttc" id="classThread_1_1NcpSpi_html_a755449adff7ec14f4985ac462c7914bd"><div class="ttname"><a href="../../d0/d2a/classThread_1_1NcpSpi.html#a755449adff7ec14f4985ac462c7914bd">Thread::NcpSpi::NcpSpi</a></div><div class="ttdeci">NcpSpi(otInstance *aInstance)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> ncp_spi.cpp:89</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_4eeddf84fddd42d44de1574042fba5c7.html">ncp</a></li><li class="navelem"><a class="el" href="../../d7/df2/ncp__spi_8hpp.html">ncp_spi.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
